//
// Copyright (C) 2005 Andras Varga
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with this program; if not, see <http://www.gnu.org/licenses/>.
//


#ifndef __VALORES_H
#define __VALORES_H

#include <omnetpp.h>



/**
 * Useful to transmit values in the message
 */

class Valores : public cObject
{

  protected:


		simtime_t ee1;
		simtime_t simtime1;
		long Snum;


  public:


	Valores();

	~Valores();

	 virtual Valores *dup() const;

    simtime_t getee1() const;
    void setee1(simtime_t ee1);

    simtime_t getsimtime1() const;
    void setsimtime1(simtime_t simtime1);

    long getsnum() const;
    void setsnum(long Snum);


};

#endif

