//
// Copyright (C) 2005 Andras Varga
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with this program; if not, see <http://www.gnu.org/licenses/>.
//

#include <vector>
#include <omnetpp.h>
#include <string.h>


#include "copy.h"
#include "Valores.h"
#include "ARPPacket_m.h"

#include <iostream>
#include <fstream>
using namespace std;

Define_Module(Copy);


void Copy::initialize()
{

	mode = par("mode");
	Snum=0;

}

void Copy::handleMessage(cMessage *msg)
{

	if(mode==2)
	{
		 if (dynamic_cast<ARPPacket *>(msg))
		{
			// dispatch ARP packets to ARP
			send(msg, "out");
		}

		else
		{
			cMessage *copy = (cMessage *) msg->dup();
			send(msg, "out");
			send(copy, "out2");
		}
	}
	else
	{
		  if (dynamic_cast<ARPPacket *>(msg))
		    {
		        // dispatch ARP packets to ARP
			  send(msg, "out");
		    }
		  else
		  {
			  Valores *nuevo= new Valores();
			  nuevo->setsimtime1(simTime());
			  nuevo->setee1(simTime()-msg->getCreationTime());
			  nuevo->setsnum(Snum);
			  msg->addObject(nuevo);
			  send(msg, "out");

			  Snum++;
		  }



	}


}

void Copy::finish()
{

}


