//
// Copyright (C) 2005 Andras Varga
//
// This program is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public License
// as published by the Free Software Foundation; either version 2
// of the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with this program; if not, see <http://www.gnu.org/licenses/>.
//

#include <vector>
#include <omnetpp.h>
#include <string.h>


#include "decider.h"

#include <iostream>
#include <fstream>
using namespace std;

Define_Module(Decider);


void Decider::initialize()
{

	passive = par("passive");
	emitter = par("emitter");
}

void Decider::handleMessage(cMessage *msg)
{
	int i;

	if(emitter ==1)
	{
		if(passive==1)
		{

			if(msg->getArrivalGateId()==1048577)
			{
				i=0;
				send(msg, "ethg$o",i);
			}
			else if(msg->getArrivalGateId()==1048578)
			{
				delete(msg);

			}
			else
			{
				i=1;
				send(msg, "ethg$o",i);
			}
		}
		else
		{
			//ev << "  puerta  receptor " << msg->getArrivalGateId() << endl;
			if(msg->getArrivalGateId()==1048578)
			{
				i=0;
				send(msg, "ethg$o",i);
			}
			else if(msg->getArrivalGateId()==1048577)
			{
				delete(msg);

			}
			else
			{
				i=2;
				send(msg, "ethg$o",i);
			}
		}
	}
	else
	{
				if(passive==1)
				{
					if(msg->getArrivalGateId()==1048577)
					{
						i=0;
						send(msg, "ethg$o",i);
					}
					else if(msg->getArrivalGateId()==1048578)
					{
						delete(msg);

					}
					else
					{
						i=1;
						send(msg, "ethg$o",i);
					}
				}
				else
				{
					if(msg->getArrivalGateId()==1048578)
					{
						i=1;
						send(msg, "ethg$o",i);
					}
					else if(msg->getArrivalGateId()==1048577)
					{
						i=2;
						send(msg, "ethg$o",i);


					}
					else
						delete(msg);
				}
	}

}

void Decider::finish()
{

}


